<div class="event">
<h1>Чёрный список</h1>
</div>
<div class="content">
<div class="block">
<ul>
<?
if(isset($_GET['del']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `id` = '".intval($_GET['del'])."'"),0)!=0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_blacklist` WHERE `id_user` = '$ku[id]' AND `id_ank` = '".intval($_GET['del'])."'"),0)>0)
{
mysql_query("DELETE FROM `kolhoz_blacklist` WHERE `id_user` = '$ku[id]' AND `id_ank` = '".intval($_GET['del'])."'");
}
if(isset($_GET['friend']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `id` = '".intval($_GET['friend'])."'"),0)!=0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_friends` WHERE `id_user` = '$ku[id]' AND `id_ank` = '".intval($_GET['friend'])."'"),0)==0)
{
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_blacklist` WHERE `id_user` = '$ku[id]' AND `id_ank` = '".intval($_GET['friend'])."'"),0)!=0)mysql_query("DELETE FROM `kolhoz_blacklist` WHERE `id_user` = '$ku[id]' AND `id_ank` = '".intval($_GET['friend'])."'");
mysql_query("INSERT INTO `kolhoz_friends` SET `id_user` = '$ku[id]', `id_ank` = '".intval($_GET['friend'])."'");
}
$q=mysql_query("SELECT * FROM `kolhoz_blacklist` WHERE `id_user` = '$ku[id]'");
while($post=mysql_fetch_array($q))
{
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_user` WHERE `id` = '$post[id_ank]'"));
echo "<li><span>";
echo on_k($ank['id']);
echo " <a class='' href='/user/$ank[id]'><span>".nc($ank['id'])."</span></a></span> <a href='/mail/history-$ank[id]'><img width='16' height='16' src='images/icons/correspondence.png' alt='o'></a> <a href='/blacklist/friend-$ank[id]'><img width='16' height='16' src='images/icons/favorite.png' alt='*'></a> <a href='/blacklist/del-$ank[id]'><img width='16' height='16' src='images/icons/delete.png' alt='*'></a></li>";
}
echo '</ul>
<div>
</div>
<div class="pt">
<img width="16" height="16" src="images/icons/favorite.png" alt=""> <a href="/friends">Друзья</a> <img width="16" height="16" src="images/icons/ignore.png" alt=""> <span>Чёрный список</span>
</div>
<div>
</div>
</div>';
include_once 'inc/foot.php';
?>